summaryrefslogtreecommitdiffstats
path: root/extras/vpp_config/scripts/clean.sh
diff options
context:
space:
mode:
authorJohn DeNisco <jdenisco@cisco.com>2017-09-27 16:35:23 -0400
committerDave Barach <openvpp@barachs.net>2017-10-11 18:45:41 +0000
commit68b0ee3a38e3a86f0389d8cc695915df190c3dfb (patch)
tree2264f2c552e119cd4bea30ddd8c80600c0c4ae66 /extras/vpp_config/scripts/clean.sh
parent35830af800aefdcc6a3767bc101b4c300a74651b (diff)
Redhat and small system support
Initial 17.10 commit Final 17.07 cleanup, 17.10 next Added CentOS grub support, this should complete the CentOS support Added Centos install/unistall Added TCP parameters. Change-Id: I064e3a4118969ac36e62924a6a3f8a98f132ba60 Signed-off-by: John DeNisco <jdenisco@cisco.com> Signed-off-by: Dave Barach <dave@barachs.net>
Diffstat (limited to 'extras/vpp_config/scripts/clean.sh')
-rwxr-xr-xextras/vpp_config/scripts/clean.sh73
1 files changed, 73 insertions, 0 deletions
diff --git a/extras/vpp_config/scripts/clean.sh b/extras/vpp_config/scripts/clean.sh
new file mode 100755
index 00000000000..908e6297fe3
--- /dev/null
+++ b/extras/vpp_config/scripts/clean.sh
@@ -0,0 +1,73 @@
+#!/bin/bash -x
+# Copyright (c) 2016 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+check_os()
+{
+
+ # perform some very rudimentary platform detection
+ lsb_dist=''
+ if command_exists lsb_release; then
+ lsb_dist="$(lsb_release -si)"
+ fi
+ if [ -z "$lsb_dist" ] && [ -r /etc/lsb-release ]; then
+ lsb_dist="$(. /etc/lsb-release && echo "$DISTRIB_ID")"
+ fi
+ if [ -z "$lsb_dist" ] && [ -r /etc/fedora-release ]; then
+ lsb_dist='fedora'
+ fi
+ if [ -z "$lsb_dist" ] && [ -r /etc/centos-release ]; then
+ lsb_dist='centos'
+ fi
+ if [ -z "$lsb_dist" ] && [ -r /etc/os-release ]; then
+ lsb_dist="$(. /etc/os-release && echo "$ID")"
+ fi
+
+ lsb_dist="$(echo "$lsb_dist" | tr '[:upper:]' '[:lower:]')"
+ case "$lsb_dist" in
+ fedora|centos|ubuntu|debian)
+ ;;
+ *)
+ echo "Operating system [$lsb_dist] is unsupported"
+ exit 0
+ ;;
+ esac
+ LSB=$lsb_dist
+}
+
+check_os
+case "$LSB" in
+ centos)
+ ROOTDIR='/usr'
+ ;;
+ ubuntu)
+ ROOTDIR='/usr/local'
+ ;;
+ *)
+ echo "$LSB is not supported"
+ exit 1
+ ;;
+esac
+
+sudo -H pip uninstall vpp-config
+sudo rm *~
+sudo rm *.pyc
+sudo rm vpplib/*~
+sudo rm vpplib/*.pyc
+sudo rm scripts/*~
+sudo rm data/*~
+sudo rm -r build
+sudo rm -r dist
+sudo rm -r vpp_config.egg-info
+sudo rm -r $ROOTDIR/vpp/vpp-config
+sudo rm $ROOTDIR/bin/vpp-config